Bug 33057 - Internal error: Segmentation fault.
Summary: Internal error: Segmentation fault.
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-24 04:30 UTC by Need Real Name
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-25 20:26:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-03-24 04:30:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


In file included from item.h:343,
                 from mysql_priv.h:222,
                 from sql_select.cc:25:
item_sum.h:335: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [sql_select.o] Error 1
make[3]: Leaving directory `/var/ftp/pub/mysql/mysql-3.23.35/sql'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/ftp/pub/mysql/mysql-3.23.35/sql'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/ftp/pub/mysql/mysql-3.23.35'
make: *** [all-recursive-am] Error 2

Reproducible: Always
Steps to Reproduce:
1. %cd MYSQL_SOURCE_DIR
2. %./configure
3. %make

	

Actual Results:  In file included from item.h:343,
                 from mysql_priv.h:222,
                 from sql_select.cc:25:
item_sum.h:335: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [sql_select.o] Error 1
make[3]: Leaving directory `/var/ftp/pub/mysql/mysql-3.23.35/sql'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/ftp/pub/mysql/mysql-3.23.35/sql'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/ftp/pub/mysql/mysql-3.23.35'
make: *** [all-recursive-am] Error 2

Expected Results:  Successfully build the MySQL server and client programs

GCC 2.9.6
Pentium 166MMX with 98Mbytes RAM
hda : 6.4G
hdb : 2G
hdc : 8.4G

Comment 1 Jakub Jelinek 2001-03-25 20:26:12 UTC
Which exact gcc version do you use (I mean rpm -q gcc)?
If it is at least the gcc errata release (gcc-2.96-69), please rerun
the g++ command line with additional -save-temps -v flags and attach
here sql_select.ii it creates (plus post here the full g++ command line
which triggers it).
Note we're building MySQL with the latest gcc 2.96 rpm quite regularly
without any problems, so it is important that we're looking at the
same exact preprocessed source.

Comment 2 Jakub Jelinek 2001-09-06 17:11:39 UTC
Closed due to inactivity.


Note You need to log in before you can comment on or make changes to this bug.